We have a similar problem with not being able to drop tables, using Hive 0.6 
and Hadoop 20.0 along with Postgres.  Can you share with us the schema you 
created?  We are wondering if the schema that was automatically created in our 
case is somehow incomplete.
 
Thanks,
Tali
 


Date: Mon, 17 Jan 2011 22:46:44 +0900
Subject: Re: Can't drop table
From: warwit...@gmail.com
To: user@hive.apache.org
CC: hive-u...@hadoop.apache.org

Hi All,


I'm using PostgreSQL for Hive metastore in production. As far as I know MySQL 
has limitations on constraints in unicode environments. I remember Hive could 
not create metastore schema automatically with MySQL, Innodb and UTF-8 encoding 
environment. so I switched PostgreSQL for metastore.


Actually, it works with PostgreSQL. but first time when one run hive cli with 
PostgreSQL, there are problems on creating metastore schema because JDO does 
not work well with PostgreSQL. I created the metastore schema manually. after 
that, everything works fine.


Regards,


- Youngwoo


2011/1/17 Edward Capriolo <edlinuxg...@gmail.com>

You are the first person I have heard of using postgres. I commend you
for not succumbing to the social pressure and just installing mysql.
However I would advice succumbing to the social pressure and using
either derby or mysql.

The reason I say this is because jpox "has support" for a number of
data stores (M$ SQL server) however, people have run into issues with
them. Databases other then derby and mysql 'should work' but are
generally untested.

Edward




On Mon, Jan 17, 2011 at 2:52 AM, wd <w...@wdicc.com> wrote:
> Finally I found, when use hive-0.5.0-bin, 'drop table' will hung at first
> time, after Ctrl-c kill the client, and run hive again, it can successfully
> drop the table. When use hive-0.6.0-bin, it will always hung there.
>
> 2011/1/6 wd <w...@wdicc.com>
>>
>> hi,
>>
>> I've setup a single node hadoop and hive. And can create table in hive,
>> but can't drop table, hive cli will hang there, nothing more infos.
>>
>> hive-0.6.0-bin
>> hadoop-0.20.2
>> jre1.6.0_23
>> postgresql-9.0-801.jdbc4.jar (have tried postgresql-8.4-701.jdbc4.jar)
>> pgsql 9.0.2
>>
>> How to find what's wrong happed? thx.
>
>

                                          

Reply via email to